@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

:root {
    --black: #90a8e0;
    --blue: #4286f4;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Montserrat', sans-serif;
}

.container{
    max-width: 1400px;
    margin: 0 auto;
    box-shadow: 0 0 10px gray;
    position: relative;
}

header, footer{
    height: 6rem;
    /*border: 1px solid green;*/
    display: flex;
    justify-content: center;
    align-items: center;
}
header:before, footer:before{
    background-image: url("/img/bg.jpg");
    background-size: cover;
    opacity: 0.25;
    content: "";
    width: 100%;
    height: 6rem;
    position: absolute;
    left: 0;
}
header:before{
    top: 0;
}
footer:before{
    bottom: 0;
}

h1{
    color: var(--black);
}
footer a{
    text-decoration: none;
    color: var(--blue);
    border-bottom: 2px solid var(--black);
}

nav {
    padding: 0.5rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    background-image: linear-gradient(to right, var(--black), var(--blue));
}

nav a {
    text-decoration: none;
    width: 150px;
    border: 1px solid white;
    padding: 10px;
    margin: 5px;
    text-align: center;
    cursor: pointer;
    color: wheat;
    border-radius: 15px;
}

nav a:hover{
    background-color: var(--blue);
    color: var(--black);
}

main{
    background-color: rgba(150, 168, 125, 0.25);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}
section{
    max-width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    border: 1px solid #020202;
    margin: 10px;
    justify-content: space-between;
}

section img{
    border-radius: 10px;
    width: 100%;
}
p{
    text-align: center;
}

section a{
    text-decoration: none;
    width: 150px;
    color: #0080ff;
    border: 1px solid green;
    border-radius: 5px;
    padding: 10px;
    font-weight: bold;
    cursor: pointer;
    text-align: center;
}
